Eclipse appcompat ADT ... di cosa si tratta ?

? Omar.Ebrahim @ | Original: StackOverFlow
---

Ho passato tutto il pomeriggio ottenere assolutamente nulla con questo . Ho scaricato Eclipse, scaricato l' SDK, installare gli aggiornamenti, ma ogni nuovo progetto Android creo qualcosa che non va .

In primo luogo, non sarebbe generare il file R.java, a tutti, ora lo fa, ma c'è un progetto separato è creato chiamato automaticamente appcompat_v7 . Non so di cosa si tratta, ma è causando problemi con qualsiasi altro nuovo progetto .

Questo è l'errore di un progetto normale produce : Il contenitore riferimenti ' Android Dipendenze ' non library ' /home/omar/workspace/appcompat_v7/bin/appcompat_v7.jar ' esistente

Non ho assolutamente idea di come risolvere questo problema . Che cosa è la causa?

EDIT E sembra questo è solo con KitKat, ogni altra piattaforma API non produce alcun file di origine a tutti .... idea di come combattere questo ?

Eclipse appcompat ADT ... di cosa si tratta ?

Eclipse appcompat ADT ... di cosa si tratta ?

Eclipse appcompat ADT ... di cosa si tratta ?

---

Top 5 Risposta

1NickT @

Si tratta di una libreria di supporto che presumibilmente il progetto si riferisce. Avrete bisogno di costruire un progetto di libreria nello spazio di lavoro . Questo processo è descritto qui https://developer.android.com/tools/support-library/setup.html sotto aggiunta di librerie di risorse .

Troverete il progetto è necessario copiare nel vostro SDK nella cartella :

yourSDKlocation oolsandroid - sdk - windows4.4extrasandroidsupportv7appcompat

( È inutile solo la copia di un vaso, è necessario costruire un progetto di libreria . )